#! /usr/bin/env python3

import time
import argparse
import math

from icm20649_spi.spitool import SPIConn
from icm20649_spi.icm20649 import getICM20649

def parseargs():
  parser = argparse.ArgumentParser(description='Erzeuge Umspul-Konfiguration.')

  parser.add_argument('--bus', dest='bus', type=int, default=0, help='SPI bus')
  parser.add_argument('--dev', dest='dev', type=int, default=0, help='SPI device')
  parser.add_argument('--speed', dest='speed', type=int, default=int(1e6), help='SPI speed')

  args = parser.parse_args()
  return args

def run():
  args = parseargs()

  spi = SPIConn(args.bus, args.dev, args.speed)

  icm20649, args = getICM20649()

  icm20649.reset()

if __name__ == "__main__":
  run()
